﻿CREATE TABLE [dbo].[ParserClassInfo](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[classname] [varchar](200) NULL,
	[classtype] [char](1) NULL,
	[isAbstract] [bit] NULL,
	[class_namespace] [varchar](400) NULL,
	[baseclass] [varchar](200) NULL,
	[baseclass_namespace] [varchar](400) NULL,
 CONSTRAINT [PK_ParserClassInfo] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

CREATE TABLE [dbo].[ParserClassHierarchy](
	[id] [int] NOT NULL,
	[classhierarchy] [hierarchyid] NULL,
	[classnamehierarchy] [varchar](max) NULL,
 CONSTRAINT [PK_ParserClassHierarchy] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
