﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Parsing_T_SQL_Examples
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            //txtBxEx1_SQLScript.Text = Parsing_T_SQL_Examples.Properties.Resources.Example_1___Script_1;
            txtBxEx1_SQLScript.Text = Parsing_T_SQL_Examples.Properties.Resources.Example_1___Script_2;

            //txtBxEx2_SQLScript.Text = Parsing_T_SQL_Examples.Properties.Resources.Example_2___Script_1;
            txtBxEx2_SQLScript.Text = Parsing_T_SQL_Examples.Properties.Resources.Example_2___Script_2;

            //txtBxEx3_SQLScript.Text = Parsing_T_SQL_Examples.Properties.Resources.Example_3___Script_1;
            txtBxEx3_SQLScript.Text = Parsing_T_SQL_Examples.Properties.Resources.Example_3___Script_2;

            //txtBxEx4_SQLScript.Text = Parsing_T_SQL_Examples.Properties.Resources.Example_4___Script_1;
            txtBxEx4_SQLScript.Text = Parsing_T_SQL_Examples.Properties.Resources.Example_4___Script_2;
        }

        private void btnEx1_Run_Click(object sender, RoutedEventArgs e)
        {
            string sqlscript = txtBxEx1_SQLScript.Text;
            int selectstarcount = Examples.Example1(sqlscript);
            txtBlkEx1_Results.Text = "Result: " + selectstarcount.ToString() + " found";
        }

        private void btnEx2_Run_Click(object sender, RoutedEventArgs e)
        {
            string sqlscript = txtBxEx2_SQLScript.Text;
            bool allobjectswithDBname = Examples.Example2(sqlscript);
            txtBlkEx2_Results.Text = "Result: " + (!allobjectswithDBname ? "Not a" : "A") + "ll objects have DB names";
        }

        private void btnEx3_Run_Click(object sender, RoutedEventArgs e)
        {
            string sqlscript = txtBxEx3_SQLScript.Text;
            bool allobjectswithDBname = Examples.Example3(sqlscript);
            txtBlkEx3_Results.Text = "Result: " + (!allobjectswithDBname ? "Not a" : "A") + "ll objects have DB names";
        }

        private void btnEx4_Run_Click(object sender, RoutedEventArgs e)
        {
            string sqlscript = txtBxEx4_SQLScript.Text;
            bool selectstarpres = Examples.Example4(sqlscript);
            txtBlkEx4_Results.Text = "Result: " + (selectstarpres ? "No " : "") + "select * against table/view objects found";
        }
    }
}
